For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet All Inventory Levels
      • GETGet Inventory Levels
      • GETGet Inventory
      • GETGet All Inventories
      • POSTQuery Inventory History Events
    • OpenAPI spec
LogoLogo
API ReferenceInventory

Get Inventory

||View as Markdown|
GET
/2026-01/inventory/:inventoryId
GET
/2026-01/inventory/:inventoryId
$curl https://api.shipbob.com/2026-01/inventory/inventoryId \
> -H "Authorization: Bearer <token>"
1{
2 "barcode": "string",
3 "dimensions": {
4 "height": 0.1,
5 "is_locked": true,
6 "length": 0.1,
7 "unit": "string",
8 "validated": true,
9 "width": 0.1
10 },
11 "inventory_id": 0,
12 "is_case": true,
13 "is_lot": true,
14 "name": "string",
15 "sku": "string",
16 "user_id": 0,
17 "variant": {
18 "hazmat": {
19 "is_hazmat": true,
20 "validated": true
21 },
22 "is_active": true,
23 "is_bundle": true,
24 "is_digital": true
25 },
26 "weight": {
27 "unit": "string",
28 "value": 0.1
29 }
30}
Retrieves detailed information about a specific inventory item by its ID, including product details, variant information, and associated metadata.
Was this page helpful?
Previous

Get Inventory Levels

Next

Get All Inventories

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Path parameters

inventoryIdstringRequiredformat: "int32"

Response

OK
barcodestring or null
Barcode associated with the inventory item
dimensionsobject
Physical dimensions of the inventory item
inventory_idinteger
Unique identifier for the inventory item
is_caseboolean
Indicates if the inventory item is stored in cases
is_lotboolean
Indicates if the inventory item is tracked by lot number
namestring or null
Name of the inventory item
skustring or null
Stock keeping unit identifier
user_idinteger
User ID associated with this inventory item
variantobject
Variant details including active status and product characteristics
weightobject
Weight information of the inventory item

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error